package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-04-28
 */
public enum CoursewareEnum implements BaseEnum<String, CoursewareEnum> {
    AUDIO("音频"),
    IMG("图片"),

    ;
    @EnumValue
    private String code;
    private String msg;

    CoursewareEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

}
